Skip to content →

Tag: Google Reader

Auto héberger son Google Reader, part4

Ca y est, Google Reader est mort !!! J’ai bien fait d’anticiper cette sĂ©rie d’articles sur comment auto hĂ©berger son Google Reader.

Dernier petit tip sur la gestion du dĂ©marrage du script d’update :

Créer le fichier /etc/init.d/ttrss :

#!/bin/sh -e
# ligne de commande du programme
DAEMON="/var/www/rss/update_daemon2.php"
# argument à utiliser par le programme
DAEMON_OPT=""  #argument à utiliser par le programme
DAEMONUSER="www-data" #utilisateur du programme
DAEMON_NAME="ttrss" #Nom du programme (doit ÃÂȘtre identique à l'exécutable)

PATH="/sbin:/bin:/usr/sbin:/usr/bin" #Ne pas toucher

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

d_start () {
        log_daemon_msg "Starting system $DAEMON_NAME Daemon"
        start-stop-daemon --background --name $DAEMON_NAME -c www-data -Sbx $DAEMON -- $DAEMON_OPT
        log_end_msg $?
}

d_stop () {
        log_daemon_msg "Stopping system $DAEMON_NAME Daemon"
        start-stop-daemon --name $DAEMON_NAME --stop --retry 5 --quiet --name $DAEMON_NAME
        log_end_msg $?
}

case "$1" in

        start|stop)
                d_${1}
                ;;

        restart|reload|force-reload)
                        d_stop
                        d_start
                ;;

        force-stop)
               d_stop
                killall -q $DAEMON_NAME || true
                sleep 2
                killall -q -9 $DAEMON_NAME || true
                ;;

        status)
                status_of_proc "$DAEMON_NAME" "$DAEMON" "system-wide $DAEMON_NAME" && exit 0 || exit $?
                ;;
        *)
                echo "Usage: /etc/init.d/$DAEMON_NAME {start|stop|force-stop|restart|reload|force-reload|status}"
                exit 1
                ;;
esac
exit 0

Ensuite, il faut suffit de taper les commandes suivantes :

[root@server:~]$ sudo chmod +x /etc/init.d/ttrss
[root@server:~]$ sudo chmod 0755 /etc/init.d/ttrss
[root@server:~]$ sudo update-rc.d ttrss defaults
update-rc.d: warning: /etc/init.d/ttrss missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
 Adding system startup for /etc/init.d/ttrss ...
   /etc/rc0.d/K20ttrss -> ../init.d/ttrss
   /etc/rc1.d/K20ttrss -> ../init.d/ttrss
   /etc/rc6.d/K20ttrss -> ../init.d/ttrss
   /etc/rc2.d/S20ttrss -> ../init.d/ttrss
   /etc/rc3.d/S20ttrss -> ../init.d/ttrss
   /etc/rc4.d/S20ttrss -> ../init.d/ttrss
   /etc/rc5.d/S20ttrss -> ../init.d/ttrss
[root@server:~]$ sudo chkconfig --list | grep ttrss
ttrss                     0:off  1:off  2:on   3:on   4:on   5:on   6:off

Si le service n’est pas activĂ©, il suffit de faire un :

[root@server:~]$ sudo chkconfig ttrss on

Amusez vous bien !

Next time : un article pour clean up la base des articles vieux de x mois, car aprĂšs plusieurs mois d’utilisation, la base peut vite atteindre les 70 / 100 MB…

Comments closed

Auto héberger son RSS Reader, part 3

Maintenant que notre lecteur de flux tourne, deux solutions pour dĂ©marrer le dĂ©mon d’update :

DĂ©marrage :

[user@home:~]$ sudo start-stop-daemon -c www-data -Sbx /var/www/[YOUR_PATH]/rss/update_daemon2.php

ArrĂȘt :

[user@home:~]$ killall php

Si vous avez un problĂšme de dĂ©marrage (messages sur le GUI du type “update daemon is not running”), tapez en connaissance de cause :

[user@home:~]$ sudo chmod 777 -R /var/www/[YOUR_PATH]/rss/{cache,feed-icons,lock,lib/htmlpurifier/library/HTMLPurifier/DefinitionCache/Serializer}
[user@home:~]$ sudo chown www-data:www-data -R /var/www/[YOUR_PATH]/rss/{cache,feed-icons,lock,lib/htmlpurifier/library/HTMLPurifier/DefinitionCache/Serializer}

Sinon vous pourrez toujours démarrer avec la crontab, mais vous aurez un message comme quoi le démon ne tourne pas ! Par exemple pour lancer un update toutes les 30 minutes :

[user@home:~]$ sudo crontab -l -u www-data
SHELL=/bin/bash
PATH=/bin:/usr/bin
MAILTO=user
HOME=/
# For details see man 4 crontabs
# Example of job definition:
# .---------------- minute (0 - 59)
# |  .------------- hour (0 - 23)
# |  |  .---------- day of month (1 - 31)
# |  |  |  .------- month (1 - 12) OR jan,feb,mar,apr ...
# |  |  |  |  .---- day of week (0 - 6) (Sunday=0 or 7) OR sun,mon,tue,wed,thu,fri,sat
# |  |  |  |  |
# *  *  *  *  * user-name command to be executed
*/30 *  *  *  * cd /var/www/[YOUR_PATH]/rss && /usr/bin/php update.php -feeds >/dev/null 2>&1

Bon amusement, maintenant vous avez un Google Reader @ Home.

AprĂšs quelques semaines d’utilisation, je suis Ă  20MB de DB MySQL occupĂ©e pour l’instant (sur 2To de Disque !!!) !

Comments closed

Auto héberger son RSS Reader, part 2

AprÚs vous avoir indiquer comment installer Tiny Tiny RSS pour auto héberger son ex futur Google Reader, voici quelques retours et aperçus.

Pour ce qui est de la home, rien de plus classique :

Tiny Tiny RSS HomePage
Tiny Tiny RSS HomePage

Mais ça remplit son rÎle et ça fournit quelques options en plus de Google Reader (et en moins) :

  • ++ Quand on clique sur “marquer tous comme lus”, on passe directement Ă  la catĂ©gorie suivante qui permet de lire en bloc des articles (j’avoue ne pas tout lire dans mes RSS, juste survoler les titres dans certaines catĂ©gories).
  • + La fenĂȘtre qui s’affiche ouvre un volet de lecture façon Outlook qui n’est pas dĂ©plaisant. Cependant comme la majoritĂ© des RSS ne publient pas des flux de donnĂ©es entiers, il est irrĂ©aliste de pouvoir l’utiliser vraiment.
  • – L’affichage “Magic” marche beaucoup moins bien, les articles sont parfois dĂ©sordonnĂ©s en terme de polling (i.e. des articles sont plus vieux, mais non lus, mais apparaissent plus tard dans le dĂ©sordre, en fonction du polling php)
  • — En comparaison, j’ai l’impression que je perds certains flux, mais au moins je sais ceux qui ne marchent pas/plus (erreur 404 ou autre, l’appli propose directement de le supprimer ^^)

La version mobile est sympa aussi, mais pas pratique avec mes systĂšmes d’authentification Ă  moi (authentification Basic Apache pour mon serveur web chez moi et monocompte Reader).

Tiny Tiny RSS Mobile Web
Tiny Tiny RSS Mobile Web

Une version Android est quand mĂȘme plus pratique.

Tiny Tiny RSS Reader for Android
Tiny Tiny RSS Reader for Android

Perso j’apprĂ©cie cette application web et elle me parait aussi simple que d’utiliser mon Google Reader et chez moi.

J’ai quand mĂȘme quelques soucis encore avec le polling des RSS, mais en se rĂ©solvant, ça devrait me permettre de gagner en confort et de supprimer les – et — affichĂ©s plus haut 😉

 

Comments closed

Auto-héberger son Reader RSS Web

Marre, marre de la nouvelle politique de confidentialité Google.

Du coup, je me suis dit, pourquoi ne pas hĂ©berger un Google Reader like sur mon serveur dĂ©diĂ©, vu que refusant un compte G+, je ne peux mĂȘme plus partager Ă  mes “amis GMail” des articles sans passer par le mail, ce qui n’est pas trĂšs fun (surtout quand avant G+ cela fonctionnait trĂšs bien.

Figurer vous, que comme souvent sur le net, une bonne recherche sur Google :p m’a donnĂ© mon bonheur, il s’agit de Tiny Tiny RSS, aka tt-rss. Bonus : l’appli dispose d’une API et des applis existent dĂ©jĂ  officielles sur l’Android Market (avec un ptit bonus sĂ©curitĂ© puisque l’appli supporte l’authentification basic HTTP en plus de l’identification Ă  l’API)

Tiny Tiny RSS Reader - Version Web
Tiny Tiny RSS Reader – Version Web

 

Pour l’installer, rien de bien compliquĂ©, il vous suffit de le tĂ©lĂ©charger ici (http://tt-rss.org/download/),

Suivre ces instructions (http://blog.rom1v.com/2011/06/tiny-tiny-rss-auto-hebergement-des-flux-rss/).

Installer une base MySQL pour le stockage des flux :

mysql> CREATE DATABASE flux;
Query OK, 1 row affected (0,00 sec

mysql> GRANT ALL PRIVILEGES ON flux.* TO rss@localhost IDENTIFIED BY 'rssreader';
Query OK, 0 rows affected (0.04 sec)

mysql> USE flux
Database changed

mysql> . ttrss_schema_mysql.sql

Copiez le fichier config.php initial dist et configurer le pour votre DB nouvellement créée.

L’application vous permet ensuite de configurer vos flux, d’importer vos ou votre Google Reader en OPML, en mode multi-utilisateurs ou non

Une fois installé et configuré à votre sauce, vous pouvez installer tt-rss sur votre Android ou y accéder depuis votre URL /mobile pour les iPhone.

Un bon moyen de sortir de l’emprise de Google assez simplement finalement.

Je galĂšre encore un peu Ă  cette heure Ă  finaliser mon install (dodo), mais il n’y a plus qu’Ă  comprendre le fonctionnement du poller en PHP et ça sera parfait.

Les pages du projet pour la doc, super cool Ă  utiliser en Redmine :

http://tt-rss.org/redmine/

 

 

 

One Comment
en_USEN